<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { linkify } from '@/lib/utils';
import Embedded from '@/components/general/Embedded.vue';

const props = defineProps<{
    comments: any
}>();

const escapeToHTML = (text:string) => {         
    if(text!==null && text!==undefined && text.length>0)           
        return linkify(text.replace(/\n/g, "<br>"));
    else
        return text;
};

</script>
<template>
<div :key="commentIndex" v-for="comment,commentIndex in comments" class="border-r border-black pr-2.5">
    <i v-if="!comment.body" v-html="escapeToHTML(comment.text)" style="overflow-wrap: break-word!important;"> </i>
    <Embedded :is-export="true" :body="comment.body" :url="comment.text" :info="comment.info" class="pt-5" v-else/>
</div>
</template>